<?php

/**
 * Phire Comments
 *
 * @category   Phire
 * @author     Nick Sagona, III <nick@moc10media.com>
 * @copyright  Copyright (c) 2009-2011 Moc 10 Media, LLC. (http://www.moc10media.com)
 * @license    http://www.phirecms.org/LICENSE.TXT     New BSD License
 * @version    1.1.2
 */

require_once '../../bootstrap.php';

try {

    $cmtsAry = array();

    // Get comment form data.
    foreach ($_POST as $key => $value) {
        if (strpos($key, 'mark_approved_') !== false) {
            $ary = explode('_', $key);
            $id = $ary[2];
            $cmtsAry[$id] = array('approved' => $_POST['mark_approved_' . $id], 'spam' => $_POST['mark_spam_' . $id]);
        }
    }

    // Update comments.
    foreach ($cmtsAry as $key => $value) {
        $cmt = new Phire_Table_Comments();
        $cmt->findById($key);
        $cmt->comment_approved = $value['approved'];
        $cmt->comment_is_spam = $value['spam'];
        $cmt->save();
    }

    // Remove any comments that were flagged for removal.
    if (isset($_POST['rm_cmts'][0])) {

        foreach ($_POST['rm_cmts'] as $value) {
            $cmt = new Phire_Table_Comments();
            $cmt->findById($value);
            $cmt->delete();
        }

        if (isset($_POST['mobile'])) {
            header('Location: ' . BASE_PATH . SYS_PATH . '/mobile/content/comments.php?action=removed');
        } else {
            header('Location: ' . BASE_PATH . SYS_PATH . '/content/comments.php?action=removed');
        }

    }

    if (isset($_POST['mobile'])) {
        if (isset($_POST['rm_cmts'][0])) {
            header('Location: ' . BASE_PATH . SYS_PATH . '/mobile/content/comments.php?action=removed');
        } else {
            header('Location: ' . BASE_PATH . SYS_PATH . '/mobile/content/comments.php?action=saved');
        }
    } else {
        header('Location: ' . BASE_PATH . SYS_PATH . '/content/comments.php?action=saved');
    }

// Else throw a exception/error.
} catch (Exception $e) {

    include_once 'init.php';
    include_once '../includes/error.header.php';
    print("        <p style=\"width: 95%; margin: 0 auto; padding: 5px 0 0 0;\">" . $e->getMessage() . "</p>\n");
    include_once '../includes/footer.php';

}

?>
