<?php

/**
 * Phire Confirm Plugin Removal
 *
 * @category   Phire
 * @author     Nick Sagona, III <nick@moc10media.com>
 * @copyright  Copyright (c) 2009-2011 Moc 10 Media, LLC. (http://www.moc10media.com)
 * @license    http://www.phirecms.org/LICENSE.TXT     New BSD License
 * @version    1.1.2
 */

require_once dirname(__FILE__) . '/config.check.php';

// Get plugin ids from $_POST array.
$rm_plugins = array();
$rm_plugins = $_POST['rm_plugins'];

try {

    if (isset($rm_plugins[0])) {

        $plugin_list = '';

        // Set plugin checkbox removal tables.
        foreach ($rm_plugins as $value) {
            $plugin = new Phire_Table_Plugins();
            $plugin->findById($value);
            $tableAry = array();
            $tableAry = explode('|', $plugin->plugin_tables);
            $subAry = array();
            $subAry = explode('|', $plugin->plugin_subfolders);
            $tables = '';
            if (($plugin->plugin_tables != '') || ($plugin->plugin_subfolders != '')) {
                $tables .= "<ul id=\"themeList\">";
                if ($plugin->plugin_tables != '') {
                    foreach ($tableAry as $tab) {
                        $tables .= "<li>{$tab} (" . $lang->__('database table') . ")</li>";
                    }
                }
                if ($plugin->plugin_subfolders != '') {
                    foreach ($subAry as $sub) {
                        $tables .= "<li>{$sub} (" . $lang->__('subfolder') . ")</li>";
                    }
                }
                $tables .= "</ul>";
            }
            $plugin_list .= "                        <table cellpadding=\"0\" cellspacing=\"0\" style=\"margin: 0; padding: 0;\"><tr style=\"margin: 0; padding: 0;font-size: 1.0em; border: none;\"><td style=\"margin: 0; padding: 2px; font-size: 1.0em; border: none; vertical-align: top;\"><input style=\"float: right;\" type=\"checkbox\" class=\"checkBox\" name=\"rm_plugins[]\" value=\"{$value}\" /></td><td style=\"margin: 0; padding: 7px 2px 2px 2px; font-size: 1.0em; border: none; vertical-align: top;\"><strong class=\"error\">{$plugin->plugin_name}</strong><br />{$tables}</td></tr></table>\n";
        }

        $confirm = $lang->__('Confirm Plugin Removal');
        $selected = $lang->__('You have selected to remove the following plugins.');
        $undone = $lang->__('This action cannot be undone%1 and will %2permanently delete%3 the plugin(s)%4and all related assets, including files and database tables.', array("</strong>", "<strong class=\"error\">", "</strong>", "<br />"));
        $cancel = $lang->__('CANCEL');
        $removal = $lang->__('Confirm Removal');

        // Print the confirmation table.
        print <<<TABLE
        <form id="pluginsForm" action="../core/process/remove.plugins.php" method="post" onsubmit="return pluginsFrm.checkValidate('plugin', true);">
            <table id="removeTable" cellpadding="0" cellspacing="0">
                <tr><td class="redTableHeader" style="margin: 0; padding: 0 0 0 25px;"><strong>{$confirm}</strong></td></tr>
                <tr>
                    <td style="padding: 25px;">
                        <h3 style="margin: 0; padding: 0 0 15px 0; color: #7f0000; font-size: 1.4em;">{$selected}</h3><p style="font-size: 1.2em;"><strong class="error">{$undone}</p><br />
{$plugin_list}
                    </td>
                </tr>
            </table>
            <table id="footerTable" cellpadding="0" cellspacing="0"><tr><td><a style="margin: 0 0 0 20px; padding-top: 6px; height: 19px; font-size: 0.825em; float: right;" class="submitGrayBtn" href="./plugins.php">{$cancel}</a> <input style="float: right;" type="submit" class="submitRedBtn" value="{$removal}" /></td></tr></table>
        </form>
        <script type="text/javascript">
            pluginsFormInit();
        </script>

TABLE;

    } else {

        header('Location: ' . BASE_PATH . SYS_PATH . '/extensions/plugins.php');

    }

// Else throw a exception/error.
} catch (Exception $e) {

    print("        <p style=\"width: 95%; margin: 0 auto; padding: 5px 0 10px 0;\">" . $e->getMessage() . "</p>\n");

}

?>
