<?php

/**
 * Phire Get Pages
 *
 * @category   Phire
 * @author     Nick Sagona, III <nick@moc10media.com>
 * @copyright  Copyright (c) 2009-2011 Moc 10 Media, LLC. (http://www.moc10media.com)
 * @license    http://www.phirecms.org/LICENSE.TXT     New BSD License
 * @version    1.1.2
 */

require_once dirname(__FILE__) . '/config.check.php';

$add = $lang->__('Add Page');
$search = $lang->__('Search');
$pg_tle = $lang->__('Page Title');
$ste_url = $lang->__('Site/URL');
$click = $lang->__('Click to Edit');
$vw = $lang->__('Click to View');
$sect = $lang->__('Section');
$auth = $lang->__('Author');
$pub = $lang->__('Published');
$acc = $lang->__('Access');
$req = $lang->__('Requests');
$copy = $lang->__('Copy?');
$process = $lang->__('Process?');
$apply = $lang->__('Apply');

$int_sort_id = 'page_id';
$tableHeader = "<tr><td class=\"grayHeader\" style=\"padding: 0; width: 6%; text-align: center;\"><a class=\"grayLink\" href=\"./pages.php?sort=page_id\">ID #</a></td><td class=\"grayHeader\" style=\"width: 25%; padding: 0; text-align: left;\"><a class=\"grayLink\" href=\"./pages.php?sort=page_title\">{$pg_tle}</a> ({$click})</td><td class=\"grayHeader\" style=\"padding: 0; text-align: left;\"><a class=\"grayLink\" href=\"./pages.php?sort=site_id\">{$ste_url}</a> ({$vw})</td><td class=\"grayHeader\" style=\"padding: 0; width: 10%; text-align: center;\"><a class=\"grayLink\" href=\"./pages.php?sort=section_id\">{$sect}</a></td><td class=\"grayHeader\" style=\"padding: 0; width: 10%; text-align: center;\"><a class=\"grayLink\" href=\"./pages.php?sort=user_id\">{$auth}</a></td><td class=\"grayHeader\" style=\"width: 6%; padding: 0; text-align: center;\"><a class=\"grayLink\" href=\"./pages.php?sort=published\">{$pub}</a></td><td class=\"grayHeader\" style=\"width: 6%; padding: 0; text-align: center;\"><a class=\"grayLink\" href=\"./pages.php?sort=page_access\">{$acc}</a></td><td class=\"grayHeader\" style=\"width: 6%; padding: 0; text-align: center;\"><a class=\"grayLink\" href=\"./pages.php?sort=page_requests\">{$req}</a></td><td class=\"grayHeader\" style=\"padding: 0; width: 6%; text-align: center;\"><strong>{$copy}</strong></td><td class=\"grayHeader\" style=\"padding: 0; width: 6%; text-align: center;\"><strong>{$process}</strong></td></tr>";

require_once '../core/process/calculate.sort.php';

try {

    $sql = null;
    $pg = (isset($_GET['page'])) ? $_GET['page'] : 1;

    // If a page search has been passed, set the SQL accordingly.
    if ($_POST) {
        unset($sess->pages);

        $sql = "SELECT * FROM " . DB_PREFIX . "pages WHERE";

        $searchFields = array();
        if ((isset($_POST['page_title'])) && ($_POST['page_title'] != '')) {
            $searchFields[] = "page_title LIKE '%" . (string)Moc10_String::setString($_POST['page_title'])->escape()->striptags() . "%'";
        }
        if ($_POST['sect_id'] != 0) {
            $searchFields[] = "section_id LIKE '" . (string)Moc10_String::setString($_POST['sect_id'])->escape(true)->striptags() . "'";
        }
        if ($_POST['user_id'] != 0) {
            $searchFields[] = "user_id LIKE '" . (string)Moc10_String::setString($_POST['user_id'])->escape(true)->striptags() . "'";
        }
        if ($_POST['published'] != 'Any') {
            $searchFields[] = "published LIKE '" . (string)Moc10_String::setString($_POST['published'])->escape(true)->striptags() . "'";
        }
        if ($_POST['access'] != 'Any') {
            $searchFields[] = "page_access LIKE '" . (string)Moc10_String::setString($_POST['access'])->escape(true)->striptags() . "'";
        }

        if (count($searchFields) > 0) {
            $sql .= ' (' . implode(' AND ', $searchFields) . ') AND';
        }

        $site_ids = array();
        foreach ($sess->sites as $value) {
            $site_ids[] = "site_id = '" . (string)Moc10_String::setString($value)->escape(true)->striptags() . "'";
        }

        if ($_POST['site_id'] != 0) {
            $sql .= " site_id = '" . (string)Moc10_String::setString($_POST['site_id'])->escape(true)->striptags() . "'";
        } else {
            $sql .= " (" . implode(' OR ', $site_ids) . ")";
        }

        $sql .= " ORDER BY " . $sort;

    // Else, if a session variable of pages already exists, render it.
    } else if ((isset($sess->pages)) && (!isset($_GET['sort'])) && (isset($_SERVER['HTTP_REFERER'])) && (strpos($_SERVER['HTTP_REFERER'], '/pages.php') !== false)) {

        $sess->pages->render($pg, ' | ', 'subLinkOn', 'subLinkOff');

    // Else, construct a new SQL query.
    } else {

        // Get user's allowed sites.
        if (isset($sess->sites)) {
            $site_ids = array();
            foreach ($sess->sites as $value) {
                $site_ids[] = "site_id = '" . (string)Moc10_String::setString($value)->escape(true)->striptags() . "'";
            }
            $sql = "SELECT * FROM " . DB_PREFIX . "pages WHERE " . implode(' OR ', $site_ids) . " ORDER BY " . $sort;
        }

    }

    // If a new SQL query has been constructed, execute and set the page results.
    if (!is_null($sql)) {

        $pages = new Phire_Table_Pages();
        $pages->execute($sql);

        // Set the table header, row and footer templates.
        if (isset($pages->rows[0])) {

            $select_action = new Moc10_Form_Element_Select('select_action', array('remove' => $lang->__('Remove'), 'published' => $lang->__('Change Publish Status'), 'access' => $lang->__('Change Access')), null, '                        ');
            $select_action->setAttributes('onchange', "pagesFrm.changeActionSelect(this.value, '" . $lang->__("No") . "', '" . $lang->__("Yes") . "', '" . $lang->__("Draft") . "', '" . $lang->__("Public") . "', '" . $lang->__("Private") . "');");
            $select_action->setAttributes('style', 'float: right;');
            $selAct = $select_action->render();

            // Set the table header template.
            $tableHeader = <<<TABLEHEADER
        <form id="pagesForm" action="../core/process/bulk.pages.php" method="post" onsubmit="return pagesFrm.chkValidate();">
        <table id="headerTable" cellpadding="0" cellspacing="0"><tr><td><input style="margin: 0 2.5% 0 0; float: right;" type="checkbox" class="checkBox" id="check_all" name="check_all" value="all" onclick="formCheckAll(this, pagesFrm, 'bulk_pages');" /><span style="margin: 0; padding: 0 45px 0 0; font-size: 0.9em; float: right;">[{page_links}]</span><a class="orangeLink" href="./add-page.php">[+] {$add}</a> <span class="grayPad">|</span> <a class="orangeLink" href="./pages.php#pagesearch">{$search}</a></td></tr></table>
            <table id="dataTable" cellpadding="0" cellspacing="0">
                {$tableHeader}

TABLEHEADER;

            // Set the row template.
            $rowTmpl = "                <tr><td style=\"text-align: center;\">[{page_id}]</td><td>[{page_link_title}]</td><td style=\"text-align: left;\"><a class=\"smallLink\" style=\"font-size: 1.0em;\" href=\"[{page_href}]\" target=\"_blank\">[{page_url}]</a></td><td style=\"text-align: center;\">[{section}]</td><td style=\"text-align: center;\">[{name}]</td><td style=\"text-align: center;\">[{published}]</td><td style=\"text-align: center;\">[{access}]</td><td style=\"text-align: center;\">[{requests}]</td><td style=\"text-align: center;\"><a class=\"copyLink\" href=\"../core/process/copy.page.php?pid=[{page_id}]&uid=[{user_id}]\" title=\"Copy Page\"><span class=\"hide\">Copy Page</span></a></td>[{remove_check}]</tr>\n";

            // Set the table footer template.
            $tableFooter = <<<TABLEFOOTER
            </table>
            <table id="footerTable" cellpadding="0" cellspacing="0">
                <tr>
                    <td>
                        <input style="float: right;" type="submit" class="submitGrayBtn" value="{$apply}" />
                        <div id="actionDiv" style="float: right; padding: 0 5px 0 5px;">&nbsp;</div>
{$selAct}
                        <span style="display: block; margin: 5px 0 0 0; padding: 0 15px 0 0; font-size: 0.9em; float: right;">[{page_links}]</span>
                    </td>
                </tr>
            </table>
        </form>
        <script type="text/javascript">
            pagesFormInit();
        </script>

TABLEFOOTER;

            $page_rows = array();
            $id = null;

            // Iterate through each page, formatting and setting it into a row.
            foreach ($pages->rows as $page) {

                $page_title = Moc10_String::setString($page->page_title);

                $site = new Phire_Table_Sites();
                $site->findById($page->site_id);

                $section = new Phire_Table_Sections();
                $section->findById($page->section_id);

                if (isset($section->section_id)) {
                    $sect = (string)Moc10_String::setString($section->section_title)->strip()->html();
                } else {
                    $sect = '&nbsp;';
                }

                if ($page->user_id != 0) {

                    $user = new Phire_Table_Users();
                    $user->findById($page->user_id);
                    $name = (isset($user->user_id)) ? Moc10_String::setString($user->fname)->strip()->html() . ' ' . Moc10_String::setString($user->lname)->strip()->html() : 'N/A';

                    $brws = new Moc10_Session_Browser();
                    $hgt = ($brws->browser == 'MSIE') ? '25' : '30';

                    if (($sess->access != 'Admin') && ($sess->open_authoring[$page->site_id] == 'Off') && ($sess->user_id != $page->user_id)) {
                        $page_link_title = $page_title;
                        $removeCheck = "<td style=\"text-align: center; height: {$hgt}px;\">&nbsp;</td>";
                    } else {
                        $page_link_title = "<a href=\"./edit-page.php?pid={$page->page_id}\">{$page_title}</a>";
                        $removeCheck = "<td style=\"text-align: center;\"><input type=\"checkbox\" id=\"bulk_pages{$id}\" class=\"checkBox\" name=\"bulk_pages[]\" value=\"{$page->page_id}\" /></td>";
                        $id++;
                    }

                } else {
                    $name = 'N/A';
                    $page_link_title = "<a href=\"./edit-page.php?pid={$page->page_id}\">{$page_title}</a>";
                    $removeCheck = "<td style=\"text-align: center;\"><input type=\"checkbox\" id=\"bulk_pages{$id}\" class=\"checkBox\" name=\"bulk_pages[]\" value=\"{$page->page_id}\" /></td>";
                    $id++;
                }

                $draft_url = null;

                if ($page->published == 'Yes') {
                    $pub = "<span class=\"green\">" . $lang->__('Yes') . "</span>";
                } else if ($page->published == 'No') {
                    $pub = "<span class=\"error\">" . $lang->__('No') . "</span>";
                } else if ($page->published == 'Draft') {
                    $pub = "<span class=\"orange\">" . $lang->__('Draft') . "</span>";
                    if ($page->site_id != 2001) {
                        $draft_url = '?draft=' . time();
                    }
                }

                $page_href = (stripos($page->page_url, 'http://') !== false) ? $page->page_url : 'http://' . $site->site_domain . BASE_PATH . $page->page_url . $draft_url;
                $page_url = (stripos($page->page_url, 'http://') !== false) ? $page->page_url : 'http://' . $site->site_domain . BASE_PATH . $page->page_url;

                $page_rows[] = array('page_id' => $page->page_id,
                                     'site_domain' => $site->site_domain,
                                     'page_link_title' => $page_link_title,
                                     'page_href' => $page_href,
                                     'page_url' => $page_url,
                                     'section' => $sect,
                                     'name' => $name,
                                     'published' => $pub,
                                     'access' => $lang->__($page->page_access),
                                     'requests' => $page->page_requests,
                                     'user_id' => $sess->user_id,
                                     'remove_check' => $removeCheck);

            }

            // Get the system pagination limit.
            $cfg = new Phire_Table_Config();
            $pg_num = ($cfg->settings['system_pagination_limit'] != 0) ? $cfg->settings['system_pagination_limit'] : count($page_rows);
            $pg_range = ($cfg->settings['system_pagination_range'] != 0) ? $cfg->settings['system_pagination_range'] : null;

            // Render the page results.
            $sess->pages = new Moc10_Session_Paginator($page_rows, $pg_num, $pg_range);
            $sess->pages->setHeader($tableHeader);
            $sess->pages->setRowTemplate($rowTmpl);
            $sess->pages->setFooter($tableFooter);
            $sess->pages->render($pg, ' | ', 'subLinkOn', 'subLinkOff');

        // Else, print a no results table.
        } else {

            $nopages = $lang->__('There are currently no pages.');

            print <<<TABLEHEADER
        <table id="headerTable" cellpadding="0" cellspacing="0"><tr><td><a class="orangeLink" href="./add-page.php">[+] {$add}</a></td></tr></table>
        <table id="dataTable" cellpadding="0" cellspacing="0">
            {$tableHeader}
        <tr><td colspan="10" style="padding: 25px;">{$nopages}</td></tr>
        </table>

TABLEHEADER;

        }

    }

// Else throw a exception/error.
} catch (Exception $e) {

    print("        <p style=\"width: 95%; margin: 0 auto; padding: 5px 0 10px 0;\">" . $e->getMessage() . "</p>\n");

}

?>
