<?php

/**
 * Phire Get Users
 *
 * @category   Phire
 * @author     Nick Sagona, III <nick@moc10media.com>
 * @copyright  Copyright (c) 2009-2011 Moc 10 Media, LLC. (http://www.moc10media.com)
 * @license    http://www.phirecms.org/LICENSE.TXT     New BSD License
 * @version    1.1.2
 */

require_once dirname(__FILE__) . '/config.check.php';

$add = $lang->__('Add User');
$vw = $lang->__('View Active Sessions');
$nme = $lang->__('Name');
$click = $lang->__('Click to Edit');
$usr = $lang->__('Username');
$em = $lang->__('Email');
$last = $lang->__('Last Login');
$acc = $lang->__('Access');
$act = $lang->__('Active Sessions');
$remove = $lang->__('Remove?');
$remove_btn = $lang->__('Remove');

$int_sort_id = 'user_id';
$tableHeader = "<tr><td class=\"grayHeader\" style=\"padding: 0; width: 7%; text-align: center;\"><a class=\"grayLink\" href=\"./users.php?sort=user_id\">ID #</a></td><td class=\"grayHeader\" style=\"width: 15%; padding: 0; text-align: left;\"><a class=\"grayLink\" href=\"./users.php?sort=lname\">{$nme}</a> ({$click})</td><td class=\"grayHeader\" style=\"width: 10%; padding: 0; text-align: left;\"><a class=\"grayLink\" href=\"./users.php?sort=username\">{$usr}</a></td><td class=\"grayHeader\" style=\"padding: 0; width: 15%; text-align: left;\"><a class=\"grayLink\" href=\"./users.php?sort=email\">{$em}</a></td><td class=\"grayHeader\" style=\"padding: 0; width: 26%; text-align: left;\"><a class=\"grayLink\" href=\"./users.php?sort=last_login\">{$last}</a></td><td class=\"grayHeader\" style=\"padding: 0; width: 10%; text-align: center;\"><a class=\"grayLink\" href=\"./users.php?sort=access\">{$acc}</a></td><td class=\"grayHeader\" style=\"padding: 0; width: 10%; text-align: center;\"><strong>{$act}</strong></td><td class=\"grayHeader\" style=\"padding: 0; width: 7%; text-align: center;\"><strong>{$remove}</strong></td></tr>";

require_once '../core/process/calculate.sort.php';

try {

    $users = new Phire_Table_Users();
    $users->findAll($sort);

    if (isset($users->rows[0])) {

        // Print the table header.
        print <<<TABLEHEADER
        <form id="usersForm" action="../core/process/remove.users.php" method="post" onsubmit="return usersFrm.checkValidate('user', true);">
            <table id="headerTable" cellpadding="0" cellspacing="0"><tr><td><input style="margin: 0 3% 0 0; float: right;" type="checkbox" class="checkBox" id="check_all" name="check_all" value="all" onclick="formCheckAll(this, usersFrm, 'rm_users');" /><a class="orangeLink" href="./add-user.php">[+] {$add}</a> <span class="grayPad">|</span> <a class="orangeLink" href="./sessions.php">{$vw}</a></td></tr></table>
            <table id="dataTable" cellpadding="0" cellspacing="0">
                {$tableHeader}

TABLEHEADER;

        $id = null;

        // Iterate through each user, formatting and printing it to a row.
        foreach ($users->rows as $user) {

            $last_login = ($user->last_login == '0000-00-00 00:00:00') ? 'Never' : Moc10_String::setString($user->last_login)->date('l, M j, Y g:i A');
            $last_login .= ($user->last_ip == '') ? '' : ' (' . $user->last_ip . ')';
            $name = $name = Moc10_String::setString($user->fname)->strip()->html() . ' ' . Moc10_String::setString($user->lname)->strip()->html();

            $sessions = new Phire_Table_Sessions();
            $sessions->findAll(null, 'user_id', $user->user_id);
            $active_sessions = count($sessions->rows);

            $brws = new Moc10_Session_Browser();
            $hgt = ($brws->browser == 'MSIE') ? '25' : '30';

            if ($user->user_id == $sess->user_id) {
                $removeCheck = "<td style=\"text-align: center; height: {$hgt}px;\">&nbsp;</td>";
            } else {
                $removeCheck = "<td style=\"text-align: center;\"><input type=\"checkbox\" class=\"checkBox\" id=\"rm_users{$id}\" name=\"rm_users[]\" value=\"{$user->user_id}\" /></td>";
                $id++;
            }

            print("                <tr><td style=\"text-align: center;\">{$user->user_id}</td><td><a href=\"./edit-user.php?uid={$user->user_id}\">{$name}</a></td><td>{$user->username}</td><td>{$user->email}</td><td style=\"text-align: left;\">{$last_login}</td><td style=\"text-align: center;\">" . $lang->__($user->access) . "</td><td style=\"text-align: center;\">{$active_sessions}</td>{$removeCheck}</tr>\n");

        }

        // Print the table footer.
        print <<<TABLEFOOTER
            </table>
            <table id="footerTable" cellpadding="0" cellspacing="0"><tr><td><input style="float: right;" type="submit" class="submitRedBtn" value="{$remove_btn}" /></td></tr></table>
        </form>
        <script type="text/javascript">
            usersFormInit();
        </script>

TABLEFOOTER;

    // Else, print a no results table.
    } else {

        $nousers = $lang->__('There are currently no users.');

        print <<<TABLEHEADER
        <table id="headerTable" cellpadding="0" cellspacing="0"><tr><td><a class="orangeLink" href="./add-user.php">[+] {$add}</a> <span class="grayPad">|</span> <a class="orangeLink" href="./sessions.php">{$vw}</a></td></tr></table>
        <table id="dataTable" cellpadding="0" cellspacing="0">
            {$tableHeader}
        <tr><td colspan="8" style="padding: 25px;">{$nousers}</td></tr>
        </table>

TABLEHEADER;

    }

// Else throw a exception/error.
} catch (Exception $e) {

    print("        <p style=\"width: 95%; margin: 0 auto; padding: 5px 0 10px 0;\">" . $e->getMessage() . "</p>\n");

}

?>