<?php

/**
 * Phire Install Check
 *
 * @category   Phire
 * @author     Nick Sagona, III <nick@moc10media.com>
 * @copyright  Copyright (c) 2009-2011 Moc 10 Media, LLC. (http://www.moc10media.com)
 * @license    http://www.phirecms.org/LICENSE.TXT     New BSD License
 * @version    1.1.2
 */

$sys_check = true;

try {


    // Check to see if the DB credentials have been set.
    if ((!defined('DB_INTERFACE')) || (!defined('DB_NAME')) || (!defined('DB_USER')) || (!defined('DB_PASSWORD')) || (!defined('DB_HOST'))) {
        $sys_check = false;
    } else if ((DB_INTERFACE == '') || (DB_NAME == '') || (DB_USER == '') || (DB_PASSWORD == '') || (DB_HOST == '')) {
        $sys_check = false;
    // Else, create and and test a DB connection.
    } else {
        try {
            $db = Moc10_Db::getInstance();
        } catch (Exception $ex) {
            $sys_check = false;
        }
    }

} catch (Exception $e) {

    include_once substr(BASE_PATH . SYS_PATH, 1) . '/core/process/init.php';
    include_once substr(BASE_PATH . SYS_PATH, 1) . '/core/includes/error.header.php';
    print("        <p style=\"width: 95%; margin: 0 auto; padding: 5px 0 0 0;\">" . $e->getMessage() . "</p>\n");
    include_once substr(BASE_PATH . SYS_PATH, 1) . '/core/includes/footer.php';

}

?>