<?php

/**
 * Phire Mobile Get Images
 *
 * @category   Phire
 * @author     Nick Sagona, III <nick@moc10media.com>
 * @copyright  Copyright (c) 2009-2011 Moc 10 Media, LLC. (http://www.moc10media.com)
 * @license    http://www.phirecms.org/LICENSE.TXT     New BSD License
 * @version    1.1.2
 */

require_once dirname(__FILE__) . '/../config.check.php';

$add = $lang->__('Add Images');
$img_nme = $lang->__('Image Name');
$vw = $lang->__('View');
$remove = $lang->__('Remove?');
$remove_btn = strtoupper($lang->__('Remove'));

$int_sort_id = 'image_id';
$tableHeader = "<tr><td class=\"grayHeader\" style=\"padding: 0 0 0 10px; text-align: left;\"><a class=\"grayLink\" href=\"./images.php?sort=image_name\">{$img_nme}</a></td><td class=\"grayHeader\" style=\"padding: 0; width: 25%; text-align: center;\"><strong>{$vw}</strong></td><td class=\"grayHeader\" style=\"padding: 0; width: 25%; text-align: center;\"><strong>{$remove}</strong></td></tr>";

require_once '../../core/process/calculate.sort.php';

try {

    $pg = (isset($_GET['page'])) ? $_GET['page'] : 1;

    // Execute the SQL query.
    $images = new Phire_Table_Images();
    $images->execute("SELECT * FROM " . DB_PREFIX . "images WHERE site_id = '" . $sess->cur_site_id . "' ORDER BY " . $sort);

    // Set the table header, row and footer templates.
    if (isset($images->rows[0])) {

        // Set the table header template.
        $tableHeader = <<<TABLEHEADER
        <form id="imagesForm" action="../../core/process/remove.images.php" method="post">
            <table id="headerTable" cellpadding="0" cellspacing="0"><tr><td><span style="margin: 0; padding: 0; font-size: 0.9em; float: right;">[{page_links}]</span><a class="orangeLink" href="./add-images.php">[+] {$add}</a></td></tr></table>
            <table id="dataTable" cellpadding="0" cellspacing="0">
                {$tableHeader}

TABLEHEADER;

        // Set the row template.
        $rowTmpl = "                <tr><td style=\"padding: 0 0 0 10px;\">[{image_name_link}]</td><td style=\"padding: 5px 0 5px 0; text-align: center;\"><a href=\"http://[{site_domain}]" . BASE_PATH . CONTENT_PATH . "/assets/images/large/[{image_name}]\"><img src=\"http://[{site_domain}]" . BASE_PATH . CONTENT_PATH . "/assets/images/large/[{image_name}]\" width=\"25\" alt=\"View [{image_name}]\" /></a></td>[{remove_check}]</tr>\n";

        // Set the table footer template.
        $tableFooter = <<<TABLEFOOTER
            </table>
            <table id="footerTable" cellpadding="0" cellspacing="0"><tr><td><input style="float: right;" type="submit" class="submitBtnRed" value="{$remove_btn}" /><input type="hidden" name="mobile" value="true" /><span style="display: block; margin: 5px 0 0 0; padding: 0 10px 0 0; font-size: 0.9em; float: right;">[{page_links}]</span></td></tr></table>
        </form>

TABLEFOOTER;

        $image_rows = array();

        // Iterate through each image, formatting and setting it into a row.
        foreach ($images->rows as $image) {

            $site = new Phire_Table_Sites();
            $site->getSite($image->site_id);

            $section = new Phire_Table_Sections();
            $section->findById($image->section_id);

            if (isset($section->section_id)) {
                $sect = (string)Moc10_String::setString($section->section_title)->strip()->html();
            } else {
                $sect = '&nbsp;';
            }

            if ($image->user_id != 0) {

                $user = new Phire_Table_Users();
                $user->findById($image->user_id);
                $name = (isset($user->user_id)) ? Moc10_String::setString($user->fname)->strip()->html() . ' ' . Moc10_String::setString($user->lname)->strip()->html() : 'N/A';

                $brws = new Moc10_Session_Browser();
                $hgt = ($brws->browser == 'MSIE') ? '25' : '30';

                if (($sess->access != 'Admin') && ($sess->open_authoring[$image->site_id] == 'Off') && ($sess->user_id != $image->user_id)) {
                    $image_name_link = $image->image_name;
                    $removeCheck = "<td style=\"text-align: center; height: {$hgt}px;\">&nbsp;</td>";
                } else {
                    $image_name_link = "<a href=\"./edit-image.php?iid={$image->image_id}\">{$image->image_name}</a>";
                    $removeCheck = "<td style=\"text-align: center;\"><input type=\"checkbox\" class=\"checkBox\" name=\"rm_images[]\" value=\"{$image->image_id}\" /></td>";
                }

            } else {
                $name = 'N/A';
                $image_name_link = "<a href=\"./edit-image.php?iid={$image->image_id}\">{$image->image_name}</a>";
                $removeCheck = "<td style=\"text-align: center;\"><input type=\"checkbox\" class=\"checkBox\" name=\"rm_images[]\" value=\"{$image->image_id}\" /></td>";
            }

            $image_rows[] = array('image_id' => $image->image_id,
                                  'site_domain' => $site->site_domain,
                                  'image_name_link' => $image_name_link,
                                  'image_title' => $image->image_title,
                                  'image_name' => $image->image_name,
                                  'section' => $sect,
                                  'name' => $name,
                                  'remove_check' => $removeCheck);

        }

        // Get the system pagination limit.
        $cfg = new Phire_Table_Config();
        $pg_num = ($cfg->settings['system_pagination_limit'] != 0) ? $cfg->settings['system_pagination_limit'] : count($image_rows);
        $pg_range = ($cfg->settings['system_pagination_range'] != 0) ? $cfg->settings['system_pagination_range'] : null;

        // Render the image results.
        $sess->images = new Moc10_Session_Paginator($image_rows, $pg_num, $pg_range);
        $sess->images->setHeader($tableHeader);
        $sess->images->setRowTemplate($rowTmpl);
        $sess->images->setFooter($tableFooter);
        $sess->images->render($pg, ' | ', 'subLinkOn', 'subLinkOff');

    // Else, print a no results table.
    } else {

        $noimages = $lang->__('There are currently no images.');

        print <<<TABLEHEADER
        <table id="headerTable" cellpadding="0" cellspacing="0"><tr><td><a class="orangeLink" href="./add-images.php">[+] {$add}</a></td></tr></table>
        <table id="dataTable" cellpadding="0" cellspacing="0">
            {$tableHeader}
            <tr><td colspan="3" style="padding: 25px;">{$noimages}</td></tr>
        </table>

TABLEHEADER;

    }

// Else throw a exception/error.
} catch (Exception $e) {

    print("        <p style=\"width: 95%; margin: 0 auto; padding: 5px 0 10px 0;\">" . $e->getMessage() . "</p>\n");

}

?>
