<?php

/**
 * Phire Mobile Get Pages
 *
 * @category   Phire
 * @author     Nick Sagona, III <nick@moc10media.com>
 * @copyright  Copyright (c) 2009-2011 Moc 10 Media, LLC. (http://www.moc10media.com)
 * @license    http://www.phirecms.org/LICENSE.TXT     New BSD License
 * @version    1.1.2
 */

require_once dirname(__FILE__) . '/../config.check.php';

$add = $lang->__('Add Page');
$search = $lang->__('Search');
$pg_tle = $lang->__('Page Title');
$pub = $lang->__('Published');
$copy = $lang->__('Copy?');
$remove = $lang->__('Remove?');
$remove_btn = strtoupper($lang->__('Remove'));

$int_sort_id = 'page_id';
$tableHeader = "<tr><td class=\"grayHeader\" style=\"width: 25%; padding: 0 0 0 10px; text-align: left;\"><a class=\"grayLink\" href=\"./pages.php?sort=page_title\">{$pg_tle}</a></td><td class=\"grayHeader\" style=\"width: 6%; padding: 0; text-align: center;\"><a class=\"grayLink\" href=\"./pages.php?sort=published\">{$pub}</a></td><td class=\"grayHeader\" style=\"padding: 0; width: 6%; text-align: center;\"><strong>{$copy}</strong></td><td class=\"grayHeader\" style=\"padding: 0; width: 6%; text-align: center;\"><strong>{$remove}</strong></td></tr>";

require_once '../../core/process/calculate.sort.php';

try {

    $sql = null;
    $pg = (isset($_GET['page'])) ? $_GET['page'] : 1;

    // If a page search has been passed, set the SQL accordingly.
    if ($_POST) {
        unset($sess->pages);

        $sql = "SELECT * FROM " . DB_PREFIX . "pages WHERE";

        $searchFields = array();
        if ((isset($_POST['page_title'])) && ($_POST['page_title'] != '')) {
            $searchFields[] = "page_title LIKE '%" . (string)Moc10_String::setString($_POST['page_title'])->escape()->striptags() . "%'";
        }
        if ($_POST['published'] != 'Any') {
            $searchFields[] = "published LIKE '" . (string)Moc10_String::setString($_POST['published'])->escape(true)->striptags() . "'";
        }

        if (count($searchFields) > 0) {
            $sql .= ' (' . implode(' AND ', $searchFields) . ') AND';
        }

        $sql .= " site_id = '" . $sess->cur_site_id . "' ORDER BY " . $sort;

    // Else, if a session variable of pages already exists, render it.
    } else if ((isset($sess->pages)) && (!isset($_GET['sort'])) && (isset($_SERVER['HTTP_REFERER'])) && (strpos($_SERVER['HTTP_REFERER'], '/pages.php') !== false)) {

        $sess->pages->render($pg, ' | ', 'subLinkOn', 'subLinkOff');

    // Else, construct a new SQL query.
    } else {

        $sql = "SELECT * FROM " . DB_PREFIX . "pages WHERE site_id = '" . $sess->cur_site_id . "' ORDER BY " . $sort;

    }

    // If a new SQL query has been constructed, execute and set the page results.
    if (!is_null($sql)) {

        $pages = new Phire_Table_Pages();
        $pages->execute($sql);

        // Set the table header, row and footer templates.
        if (isset($pages->rows[0])) {

            // Set the table header template.
            $tableHeader = <<<TABLEHEADER
        <form id="pagesForm" action="../../core/process/bulk.pages.php" method="post">
            <table id="headerTable" cellpadding="0" cellspacing="0"><tr><td><span style="margin: 0; padding: 0; font-size: 0.9em; float: right;">[{page_links}]</span><a class="orangeLink" href="./add-page.php">[+] {$add}</a> <span class="grayPad">|</span> <a class="orangeLink" href="./pages.php#pagesearch">{$search}</a></td></tr></table>
            <table id="dataTable" cellpadding="0" cellspacing="0">
                {$tableHeader}

TABLEHEADER;

            // Set the row template.
            $rowTmpl = "                <tr><td style=\"padding: 0 0 0 10px;\">[{page_link_title}]</td><td style=\"text-align: center;\">[{published}]</td><td style=\"text-align: center;\"><a class=\"copyLink\" href=\"../../core/process/copy.page.php?pid=[{page_id}]&uid=[{user_id}]&mobile=true\" title=\"Copy Page\"><span class=\"hide\">Copy Page</span></a></td>[{remove_check}]</tr>\n";

            // Set the table footer template.
            $tableFooter = <<<TABLEFOOTER
            </table>
            <table id="footerTable" cellpadding="0" cellspacing="0">
                <tr>
                    <td>
                        <input style="float: right;" type="submit" class="submitBtnRed" value="{$remove_btn}" />
                        <input type="hidden" name="select_action" value="remove" />
                        <input type="hidden" name="mobile" value="true" />
                        <div id="actionDiv" style="float: right; padding: 0 5px 0 5px;">&nbsp;</div>
                        <span style="display: block; margin: 5px 0 0 0; padding: 0; font-size: 0.9em; float: right;">[{page_links}]</span>
                    </td>
                </tr>
            </table>
        </form>

TABLEFOOTER;

            $page_rows = array();

            // Iterate through each page, formatting and setting it into a row.
            foreach ($pages->rows as $page) {

                $page_title = Moc10_String::setString($page->page_title);

                $site = new Phire_Table_Sites();
                $site->findById($page->site_id);

                $section = new Phire_Table_Sections();
                $section->findById($page->section_id);

                if (isset($section->section_id)) {
                    $sect = (string)Moc10_String::setString($section->section_title)->strip()->html();
                } else {
                    $sect = '&nbsp;';
                }

                if ($page->user_id != 0) {

                    $user = new Phire_Table_Users();
                    $user->findById($page->user_id);
                    $name = (isset($user->user_id)) ? Moc10_String::setString($user->fname)->strip()->html() . ' ' . Moc10_String::setString($user->lname)->strip()->html() : 'N/A';

                    $brws = new Moc10_Session_Browser();
                    $hgt = ($brws->browser == 'MSIE') ? '25' : '30';

                    if (($sess->access != 'Admin') && ($sess->open_authoring[$page->site_id] == 'Off') && ($sess->user_id != $page->user_id)) {
                        $page_link_title = $page_title;
                        $removeCheck = "<td style=\"text-align: center; height: {$hgt}px;\">&nbsp;</td>";
                    } else {
                        $page_link_title = "<a href=\"./edit-page.php?pid={$page->page_id}\">{$page_title}</a>";
                        $removeCheck = "<td style=\"text-align: center;\"><input type=\"checkbox\" class=\"checkBox\" name=\"bulk_pages[]\" value=\"{$page->page_id}\" /></td>";
                    }

                } else {
                    $name = 'N/A';
                    $page_link_title = "<a href=\"./edit-page.php?pid={$page->page_id}\">{$page_title}</a>";
                    $removeCheck = "<td style=\"text-align: center;\"><input type=\"checkbox\" class=\"checkBox\" name=\"bulk_pages[]\" value=\"{$page->page_id}\" /></td>";
                }

                $draft_url = null;

                if ($page->published == 'Yes') {
                    $pub = "<span class=\"green\">" . $lang->__('Yes') . "</span>";
                } else if ($page->published == 'No') {
                    $pub = "<span class=\"error\">" . $lang->__('No') . "</span>";
                } else if ($page->published == 'Draft') {
                    $pub = "<span>" . $lang->__('Draft') . "</span>";
                    if ($page->site_id != 2001) {
                        $draft_url = '?draft=' . time();
                    }
                }

                $page_href = (stripos($page->page_url, 'http://') !== false) ? $page->page_url : 'http://' . $site->site_domain . BASE_PATH . $page->page_url . $draft_url;
                $page_url = (stripos($page->page_url, 'http://') !== false) ? $page->page_url : 'http://' . $site->site_domain . BASE_PATH . $page->page_url;

                $page_rows[] = array('page_id' => $page->page_id,
                                     'site_domain' => $site->site_domain,
                                     'page_link_title' => $page_link_title,
                                     'page_href' => $page_href,
                                     'page_url' => $page_url,
                                     'section' => $sect,
                                     'name' => $name,
                                     'published' => $pub,
                                     'access' => $page->page_access,
                                     'requests' => $page->page_requests,
                                     'user_id' => $sess->user_id,
                                     'remove_check' => $removeCheck);

            }

            // Get the system pagination limit.
            $cfg = new Phire_Table_Config();
            $pg_num = ($cfg->settings['system_pagination_limit'] != 0) ? $cfg->settings['system_pagination_limit'] : count($page_rows);
            $pg_range = ($cfg->settings['system_pagination_range'] != 0) ? $cfg->settings['system_pagination_range'] : null;

            // Render the page results.
            $sess->pages = new Moc10_Session_Paginator($page_rows, $pg_num, $pg_range);
            $sess->pages->setHeader($tableHeader);
            $sess->pages->setRowTemplate($rowTmpl);
            $sess->pages->setFooter($tableFooter);
            $sess->pages->render($pg, ' | ', 'subLinkOn', 'subLinkOff');

        // Else, print a no results table.
        } else {

            $nopages = $lang->__('There are currently no pages.');

            print <<<TABLEHEADER
        <table id="headerTable" cellpadding="0" cellspacing="0"><tr><td><a class="orangeLink" href="./add-page.php">[+] {$add}</a></td></tr></table>
        <table id="dataTable" cellpadding="0" cellspacing="0">
            {$tableHeader}
            <tr><td colspan="4" style="padding: 25px;">{$nopages}</td></tr>
        </table>

TABLEHEADER;

        }

    }

// Else throw a exception/error.
} catch (Exception $e) {

    print("        <p style=\"width: 95%; margin: 0 auto; padding: 5px 0 10px 0;\">" . $e->getMessage() . "</p>\n");

}

?>
