<?php

/**
 * Phire Update Content Types
 *
 * @category   Phire
 * @author     Nick Sagona, III <nick@moc10media.com>
 * @copyright  Copyright (c) 2009-2011 Moc 10 Media, LLC. (http://www.moc10media.com)
 * @license    http://www.phirecms.org/LICENSE.TXT     New BSD License
 * @version    1.1.2
 */

require_once '../../bootstrap.php';

try {

    // Process any content types that were flagged for removal.
    $rm_types = array();

    if (isset($_POST['rm_types'])) {
        $rm_types = $_POST['rm_types'];

        // Update any assets that reference the content type and delete the content type.
        if (isset($rm_types[0])) {
            foreach ($rm_types as $value) {

                $val = (string)Moc10_String::setString($value)->escape(true)->striptags();

                $tmpls = new Phire_Table_Templates();
                $tmpls->execute("UPDATE " . DB_PREFIX . "templates SET type_id = 3001 WHERE type_id = '" . $val . "'");

                $sites = new Phire_Table_Sites();
                $sites->execute("UPDATE " . DB_PREFIX . "sites SET default_type_id = 3001 WHERE default_type_id = '" . $val . "'");

                $sites->findAll();
                foreach ($sites->rows as $vl) {
                    $site = new Phire_Table_Sites();
                    $site->findById($vl['site_id']);

                    $alw_types = array();
                    $alw_types = explode('|', $site->allowed_content_types);
                    if (in_array($val, $alw_types)) {
                        $key = array_search($val, $alw_types);
                        unset($alw_types[$key]);
                    }

                    $site->allowed_content_types = implode('|', $alw_types);
                    $site->save();
                }

                $type = new Phire_Table_ContentTypes();
                $type->findById($val);
                $type->delete();
            }
        }
    }

    $idAry = array();

    foreach ($_POST as $key => $value) {
        if (strpos($key, 'type_name_') !== false) {
            $id = substr($key, (strrpos($key, '_') + 1));
            if ($id != 'new') {
                $idAry[] = $id;
            }
        }
    }

    // Update any existing content types.
    foreach ($idAry as $value) {
        if (!in_array($value, $rm_types)) {
            $type_name = $_POST['type_name_' . $value];
            $type = $_POST['type_' . $value];
            if (($type_name != '') && ($type != '')) {
                $edit_type = new Phire_Table_ContentTypes();
                $edit_type->findById($value);
                $edit_type->type_name = $type_name;
                $edit_type->type = $type;
                $edit_type->save();
            }
        }
    }

    // Add any new content type.
    if (($_POST['type_name_new'] != '') && ($_POST['type_new'] != '')) {
        $new_type = new Phire_Table_ContentTypes(array('type_name' => $_POST['type_name_new'], 'type' => $_POST['type_new']));
        $new_type->save();
    }

    header('Location: ' . BASE_PATH . SYS_PATH . '/system/edit-content-types.php?action=updated');

// Else throw a exception/error.
} catch (Exception $e) {

    include_once 'init.php';
    include_once '../includes/error.header.php';
    print("        <p style=\"width: 95%; margin: 0 auto; padding: 5px 0 0 0;\">" . $e->getMessage() . "</p>\n");
    include_once '../includes/footer.php';

}

?>
