/**
 *
 * Loader Script
 * Requires the Jax JavaScript Library
 *
 */

// Fx initializations
var fx = new JaxFx();

// Function to handle the saved/removed DIV elements, should they be on the page.
function setStyles() {

    var brws = new JaxBrowser();
    var saved = document.getElementById('saved');
    var removed = document.getElementById('removed');

    if (saved != null) {
        fx.addStyle('saved', 'opacity', '100');
    }

    if (removed != null) {
        fx.addStyle('removed', 'opacity', '100');
    }

}

// Add the setStyles function to the loader.
addLoader(setStyles);

// Initialize the menus and their properties.
var menus = null;
var mnus = [{id : 'contentSubNav', x : 30, y : 128},
            {id : 'assetsSubNav', x : 210, y :128}];

// Function to set up and initialize the menus.
function setMenus() {
    var menuCheck = document.getElementById('mainNav');

    // If the mainNav menu exists, check for access level.
    if (menuCheck != null) {

        // Dynamically account for menu position, based on content width.
        cntLnk = document.getElementById('contentLink');
        assetLnk = document.getElementById('assetsLink');
        extLnk = document.getElementById('extLink');
        sysLnk = document.getElementById('systemLink');

        mnus[1].x = cntLnk.clientWidth + 55;

        var menuBasicLevelCheck = document.getElementById('extensionsSubNav');
        var menuLevelCheck = document.getElementById('systemSubNav');

        // If basic access.
        if (menuBasicLevelCheck != null) {
            val = cntLnk.clientWidth + assetLnk.clientWidth + 70;
            mnus.push({id : 'extensionsSubNav', x : val, y : 128});
        }

        // If full or admin access.
        if (menuLevelCheck != null) {
            val = cntLnk.clientWidth + assetLnk.clientWidth + extLnk.clientWidth + 95;
            mnus.push({id : 'systemSubNav', x : val, y : 128});
        }

        // Create the menus object.
        menus = new JaxMenu(mnus);

        // Declare the listener function.
        chkMnu = function(event) {
            menus.checkMenu(event);
        }

        // Add the listener function to the event listener.
        addEvent('mousemove', chkMnu);

    }

}

// Add the setMenus function to the loader.
addLoader(setMenus);

// CKEditor function.
function getUrlParam(paramName) {
    var reParam = new RegExp('(?:[\?&]|&amp;)' + paramName + '=([^&]+)', 'i');
    var match = window.location.search.match(reParam);
    return (match && match.length > 1) ? match[1] : '';
}

// TinyMCE function.
function myFileBrowser(field_name, url, type, win) {

    var cmsURL = '../../../../../../../content/browser.php?browser=tinymce&type=' + type;

    tinyMCE.activeEditor.windowManager.open({
        file : cmsURL,
        title : 'Phire Asset Browser',
        width : 720,
        height : 640,
        resizable : 'yes',
        scrollbars : true,
        inline : 'yes',
        close_previous : 'no',
        popup_css : false
    }, {
        window : win,
        input : field_name
    });

    return false;

}

// Native Editor function.
function nativeBrowser(hrf, typ) {

    obj = opener.document.getElementById('page_content');
    val = (typ == 'file') ? '<a href="' + hrf + '">' + hrf + '</a>' : '<img src="' + hrf + '" />';

    // If IE.
    if (document.selection) {

        obj.focus();
        var r = opener.document.selection.createRange();
        var re = obj.createTextRange();
        var rc = re.duplicate();
        re.moveToBookmark(r.getBookmark());
        rc.setEndPoint('EndToStart', re);
        var start = rc.text.length;
        var end = rc.text.length;
        obj.value = obj.value.substr(0, start) + val + obj.value.substr(end, obj.value.length);
        obj.focus();

    // Else other browser.
    } else if (obj.selectionStart) {

        var start = obj.selectionStart;
        var end = obj.selectionEnd;
        obj.value = obj.value.substr(0, start) + val + obj.value.substr(end, obj.value.length);
        obj.focus();
        obj.setSelectionRange(start + val.length, start + val.length);

    }

}
