<?php

/**
 * Phire Mobile Content Edit Template
 *
 * @category   Phire
 * @author     Nick Sagona, III <nick@moc10media.com>
 * @copyright  Copyright (c) 2009-2011 Moc 10 Media, LLC. (http://www.moc10media.com)
 * @license    http://www.phirecms.org/LICENSE.TXT     New BSD License
 * @version    1.1.2
 */

require_once '../../bootstrap.php';
require_once '../../core/process/mobile/session.check.php';

include_once '../../core/process/init.php';
include_once '../../core/includes/mobile/header.php';

if (!isset($_GET['tid'])) {

    header('Location: ./templates.php');

} else {

    // Get the template data.
    $template = new Phire_Table_Templates();
    $template->findById($_GET['tid']);

    if ((!isset($template->template_id)) || (!in_array($template->site_id, $sess->sites))) {

        header('Location: ./templates.php');

    } else {

?>
        <br />
        <h3 class="blueHeader">Content &gt; Templates &gt; <?php print($template->template_name); ?></h3>
<?php

        $actionObj = 'Template';
        include_once '../../core/includes/mobile/action.php';

        // Check if an edit template form has been submitted and has returned with errors.
        if (isset($sess->edit_template_form)) {

            try {

                $sess->edit_template_form->render();

            } catch (Exception $e) {

                unset($sess->edit_template_form);

                $form = new Phire_Form_Template('../../core/process/edit.template.php?tid=' . $template->template_id, 'post', '        ');
                $form->init(array('mobile' => 'true', 'template_id' => $template->template_id));
                $form->render();

            }

        // Else, initialize and render a new edit template form.
        } else {

            $form = new Phire_Form_Template('../../core/process/edit.template.php?tid=' . $template->template_id, 'post', '        ');
            $form->init(array('mobile' => 'true', 'template_id' => $template->template_id));
            $form->render();

        }

        include_once '../../core/includes/mobile/footer.php';

    }

}

?>