<?php

/**
 * Phire System Edit Site
 *
 * @category   Phire
 * @author     Nick Sagona, III <nick@moc10media.com>
 * @copyright  Copyright (c) 2009-2011 Moc 10 Media, LLC. (http://www.moc10media.com)
 * @license    http://www.phirecms.org/LICENSE.TXT     New BSD License
 * @version    1.1.2
 */

require_once '../bootstrap.php';
require_once '../core/process/session.check.php';
require_once '../core/process/session.access.check.php';

include_once '../core/process/init.php';
include_once '../core/includes/header.php';

if (!isset($_GET['sid'])) {
    header('Location: ./sites.php');
} else {

    // Get the site data.
    $site =  new Phire_Table_Sites();
    $site->findById($_GET['sid']);

    if ((!isset($site->site_id)) || (!in_array($site->site_id, $sess->sites))) {

        header('Location: ./sites.php');

    } else {

?>
        <h2 class="blueHeader"><?php $lang->_e('System'); ?> &gt; <?php $lang->_e('Sites'); ?> &gt; <?php print($site->site_domain); ?></h2>
<?php

        $actionObj = 'Site';
        include_once '../core/includes/action.php';

        // Check if an edit site form has been submitted and has returned with errors.
        if (isset($sess->edit_site_form)) {

            try {

                $sess->edit_site_form->render();

            } catch (Exception $e) {

                unset($sess->edit_site_form);

                $form = new Phire_Form_Site('../core/process/edit.site.php?sid=' . $site->site_id, 'post', '        ');
                $form->init(array('plugin' => $plugin, 'site_id' => $site->site_id));
                $form->render();

            }

        // Else, initialize and render a new edit site form with the site data.
        } else {

            $form = new Phire_Form_Site('../core/process/edit.site.php?sid=' . $site->site_id, 'post', '        ');
            $form->init(array('plugin' => $plugin, 'site_id' => $site->site_id));
            $form->render();

        }

        include_once '../core/includes/footer.php';

    }

}

?>